import request from '@/utils/request'
import { preventRepeatFu } from "@/utils/hciot";

// 查询短信厂商列表
export function listSms(query) {
    return request({
        url: '/system/sms/list',
        method: 'get',
        params: query
    })
}

// 查询短信厂商详细
export function getSms(id) {
    return request({
        url: '/system/sms/' + id,
        method: 'get'
    })
}

// 新增短信厂商
export function addSms(data) {
    preventRepeatFu(true)
    return request({
        url: '/system/sms',
        method: 'post',
        data: data
    })
}

// 修改短信厂商
export function updateSms(data) {
    preventRepeatFu(true)
    return request({
        url: '/system/sms',
        method: 'put',
        data: data
    })
}

// 删除短信厂商
export function delSms(id) {
    return request({
        url: '/system/sms/' + id,
        method: 'delete'
    })
}
